Package: grails.boot.config.tools

## [Groovy] Class ProfilingGrailsApplicationPostProcessor

- grails.boot.config.tools.ProfilingGrailsApplicationPostProcessor

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.config.BeanPostProcessor

      class ProfilingGrailsApplicationPostProcessor
      extends GrailsApplicationPostProcessor

  Profiles bean creation outputting data to the console

  Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsApplicationPostProcessor` | `applicationContext, pluginManager`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `long` | `startTime`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProfilingGrailsApplicationPostProcessor (GrailsApplicationLifeCycle lifeCycle, org.springframework.context.ApplicationContext applicationContext, java.lang.Class... classes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)`
    `` | `java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsApplicationPostProcessor` | `customizeGrailsApplication, customizePluginManager, initializeGrailsApplication, loadApplicationConfig, onApplicationEvent, performGrailsInitializationSequence, postProcessBeanDefinitionRegistry, postProcessBeanFactory, setApplicationContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### long startTime

  - ### Constructor Detail

    - #### ProfilingGrailsApplicationPostProcessor(GrailsApplicationLifeCycle lifeCycle, org.springframework.context.ApplicationContext applicationContext, java.lang.Class... classes)

  - ### Method Detail

    - #### @java.lang.Override java.lang.Object postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)

    - #### @java.lang.Override java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)